<template>
<div>
  <v-row>
    <v-col>
      <h1>Ajouter un modèle</h1>
    </v-col>
  </v-row>
  <v-row>
    <v-col>
      <v-form>
        <v-text-field
            label="Nom"
            outlined
            v-model="design.name"
            required
        ></v-text-field>

        <v-textarea
            label="Description"
            outlined
            v-model="design.description"
            required
        ></v-textarea>

        <v-text-field
            label="pUHT"
            outlined
            v-model="design.puht"
            required
        ></v-text-field>

        <v-text-field
            label="Gamme"
            outlined
            v-model="design.range"
            required
        ></v-text-field>

        <v-select
            v-model="design.ingredients"
            :items="ingredients"
            label="Ingrédients"
            multiple
            chips
            outlined
            required
        ></v-select>

        <v-text-field
          v-for="i in design.ingredients"
          :key="i.id"
          :label="'Grammage ' + ingredients.find(j => j.value === i).text"
          v-model="i.grammage"
          outlined
          required
        ></v-text-field>

        <v-btn @click="submit" :disabled="disabled">Ajouter</v-btn>
        <v-btn to="/">Annuler</v-btn>
      </v-form>
    </v-col>
  </v-row>
</div>
</template>

<script>
import Vue from 'vue'

export default Vue.extend({
  data() {
    return {
      design: {
          name: null,
          description: null,
          puht: null,
          range: null,
          ingredients: [],
      },
      ingredients: [],
      test: {}
    }
  },
  computed: {
    disabled() {
        return !(
          this.design.name
          && this.design.description
          && this.design.puht
          && this.design.range
          && this.design.ingredients
        );
    }
  },
  methods: {
    submit() {
      // const token = document.cookie
      //   .split('; ')
      //   .find(row => row.startsWith('token='))
      //   .split('=')[1];
      // this.$axios.setToken(token, 'Bearer')

      this.$axios.post('/designs/add', this.design)
        .then(res => {
          if (res.status === 200) {
            this.$router.push('/');
          } else {
            console.log(res);
          }
        })
        .catch(err => {
          console.log(err);
        })
    }
  },
  mounted() {
    // const token = document.cookie
    //   .split('; ')
    //   .find(row => row.startsWith('token='))
    //   .split('=')[1];
    // this.$axios.setToken(token, 'Bearer')

    this.$axios.get('/ingredients')
      .then(res => {
        if (res.status === 200) {
          this.ingredients = res.data === null ? [] : res.data;
        } else {
          console.log(res);
        }
      })
      .catch(err => {
        console.log(err);
      })
  }
})
</script>
